path: /build/build/libsigc++-dev-libs-3-3.0.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test" emerge dev-libs/libsigc++:3 -pv -t && \
    USE="-doc -test" emerge -j ${JOBS} --nodeps dev-libs/libsigc++:3
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libsigc++ && luet-portage --dir /pkgdir/libsigc++
    dev-libs/libsigc++:3 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:3f78bf16e56bc1a68f3951225fed8d7b72ad0c8e78b2c9b927ac72cfc68723be
  package:
    name: libsigc++
    version: 3.0.3
    category: dev-libs-3
    use_flags:
    - -doc
    - -test
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Typesafe callback system for standard C++
    uri:
    - http://libsigc.sourceforge.net/
    license: LGPL-2.1+
    buildtimestamp: 2023-08-23 07:08:24.003462821 +0000 UTC m=+95.580276233
    labels:
      DEPEND: sys-devel/m4 doc? ( app-doc/doxygen ) test? ( dev-libs/boost:=[-mgorny(-)]
        ) >=app-portage/elt-patches-20170815 app-arch/xz-utils dev-util/desktop-file-utils
        x11-misc/shared-mime-info
      IUSE: doc static-libs test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
        abi_mips_o32 abi_s390_32 abi_s390_64
      emerge.packages: dev-libs/libsigc++:3
      kit: core-kit
      original.package.name: dev-libs/libsigc++
      original.package.slot: "3"
      original.package.version: 3.0.3
    treedir: /build/packages
  package_dir: /pkgdir/libsigc++
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 212d245615e196cd45c4f8b1fddf9402aa4883b6afe37cdb230b99e9a9d8c524
compressiontype: zstd
files:
- usr/include/sigc++-3.0/sigc++/adaptors/adaptor_base.h
- usr/include/sigc++-3.0/sigc++/adaptors/adaptor_trait.h
- usr/include/sigc++-3.0/sigc++/adaptors/adaptors.h
- usr/include/sigc++-3.0/sigc++/adaptors/adapts.h
- usr/include/sigc++-3.0/sigc++/adaptors/bind.h
- usr/include/sigc++-3.0/sigc++/adaptors/bind_return.h
- usr/include/sigc++-3.0/sigc++/adaptors/bound_argument.h
- usr/include/sigc++-3.0/sigc++/adaptors/compose.h
- usr/include/sigc++-3.0/sigc++/adaptors/exception_catch.h
- usr/include/sigc++-3.0/sigc++/adaptors/hide.h
- usr/include/sigc++-3.0/sigc++/adaptors/retype.h
- usr/include/sigc++-3.0/sigc++/adaptors/retype_return.h
- usr/include/sigc++-3.0/sigc++/adaptors/track_obj.h
- usr/include/sigc++-3.0/sigc++/adaptors/tuple_visitor_visit_each.h
- usr/include/sigc++-3.0/sigc++/bind.h
- usr/include/sigc++-3.0/sigc++/bind_return.h
- usr/include/sigc++-3.0/sigc++/connection.h
- usr/include/sigc++-3.0/sigc++/functors/functor_trait.h
- usr/include/sigc++-3.0/sigc++/functors/functors.h
- usr/include/sigc++-3.0/sigc++/functors/mem_fun.h
- usr/include/sigc++-3.0/sigc++/functors/ptr_fun.h
- usr/include/sigc++-3.0/sigc++/functors/slot.h
- usr/include/sigc++-3.0/sigc++/functors/slot_base.h
- usr/include/sigc++-3.0/sigc++/limit_reference.h
- usr/include/sigc++-3.0/sigc++/member_method_trait.h
- usr/include/sigc++-3.0/sigc++/reference_wrapper.h
- usr/include/sigc++-3.0/sigc++/retype_return.h
- usr/include/sigc++-3.0/sigc++/sigc++.h
- usr/include/sigc++-3.0/sigc++/signal.h
- usr/include/sigc++-3.0/sigc++/signal_base.h
- usr/include/sigc++-3.0/sigc++/slot.h
- usr/include/sigc++-3.0/sigc++/trackable.h
- usr/include/sigc++-3.0/sigc++/tuple-utils/tuple_cdr.h
- usr/include/sigc++-3.0/sigc++/tuple-utils/tuple_end.h
- usr/include/sigc++-3.0/sigc++/tuple-utils/tuple_for_each.h
- usr/include/sigc++-3.0/sigc++/tuple-utils/tuple_start.h
- usr/include/sigc++-3.0/sigc++/tuple-utils/tuple_transform_each.h
- usr/include/sigc++-3.0/sigc++/type_traits.h
- usr/include/sigc++-3.0/sigc++/visit_each.h
- usr/include/sigc++-3.0/sigc++/weak_raw_ptr.h
- usr/lib64/libsigc-3.0.so
- usr/lib64/libsigc-3.0.so.0
- usr/lib64/libsigc-3.0.so.0.0.0
- usr/lib64/pkgconfig/sigc++-3.0.pc
- usr/lib64/sigc++-3.0/include/sigc++config.h
- usr/share/doc/libsigc++-3.0.3/AUTHORS.bz2
- usr/share/doc/libsigc++-3.0.3/ChangeLog.bz2
- usr/share/doc/libsigc++-3.0.3/NEWS.bz2
- usr/share/doc/libsigc++-3.0.3/README.md.bz2
- var/db/pkg/dev-libs/libsigc++-3.0.3/BUILD_TIME
- var/db/pkg/dev-libs/libsigc++-3.0.3/CATEGORY
- var/db/pkg/dev-libs/libsigc++-3.0.3/CBUILD
- var/db/pkg/dev-libs/libsigc++-3.0.3/CFLAGS
- var/db/pkg/dev-libs/libsigc++-3.0.3/CHOST
- var/db/pkg/dev-libs/libsigc++-3.0.3/CONTENTS
- var/db/pkg/dev-libs/libsigc++-3.0.3/COUNTER
- var/db/pkg/dev-libs/libsigc++-3.0.3/CXXFLAGS
- var/db/pkg/dev-libs/libsigc++-3.0.3/DEFINED_PHASES
- var/db/pkg/dev-libs/libsigc++-3.0.3/DEPEND
- var/db/pkg/dev-libs/libsigc++-3.0.3/DESCRIPTION
- var/db/pkg/dev-libs/libsigc++-3.0.3/EAPI
- var/db/pkg/dev-libs/libsigc++-3.0.3/FEATURES
- var/db/pkg/dev-libs/libsigc++-3.0.3/HOMEPAGE
- var/db/pkg/dev-libs/libsigc++-3.0.3/INHERITED
- var/db/pkg/dev-libs/libsigc++-3.0.3/IUSE
- var/db/pkg/dev-libs/libsigc++-3.0.3/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libsigc++-3.0.3/KEYWORDS
- var/db/pkg/dev-libs/libsigc++-3.0.3/LDFLAGS
- var/db/pkg/dev-libs/libsigc++-3.0.3/LICENSE
- var/db/pkg/dev-libs/libsigc++-3.0.3/NEEDED
- var/db/pkg/dev-libs/libsigc++-3.0.3/PF
- var/db/pkg/dev-libs/libsigc++-3.0.3/PROVIDES
- var/db/pkg/dev-libs/libsigc++-3.0.3/REQUIRES
- var/db/pkg/dev-libs/libsigc++-3.0.3/SIZE
- var/db/pkg/dev-libs/libsigc++-3.0.3/SLOT
- var/db/pkg/dev-libs/libsigc++-3.0.3/USE
- var/db/pkg/dev-libs/libsigc++-3.0.3/environment.bz2
- var/db/pkg/dev-libs/libsigc++-3.0.3/libsigc++-3.0.3.ebuild
- var/db/pkg/dev-libs/libsigc++-3.0.3/repository
package_cacheimage: ""
runtime:
  name: libsigc++
  version: 3.0.3
  category: dev-libs-3
  use_flags:
  - -doc
  - -test
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Typesafe callback system for standard C++
  uri:
  - http://libsigc.sourceforge.net/
  license: LGPL-2.1+
  labels:
    DEPEND: sys-devel/m4 doc? ( app-doc/doxygen ) test? ( dev-libs/boost:=[-mgorny(-)]
      ) >=app-portage/elt-patches-20170815 app-arch/xz-utils dev-util/desktop-file-utils
      x11-misc/shared-mime-info
    IUSE: doc static-libs test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
      abi_mips_o32 abi_s390_32 abi_s390_64
    emerge.packages: dev-libs/libsigc++:3
    kit: core-kit
    original.package.name: dev-libs/libsigc++
    original.package.slot: "3"
    original.package.version: 3.0.3
